Everstack
API ReferenceSandboxTerminate

Terminate Sandbox

POST/v1/sandbox/{sandboxId}/terminate
POST/v1/sandbox/{'{sandboxId}'}/terminate

Your instance endpoint, shown on the instance page in the dashboard. Each instance has its own host; there is no shared API host.

Parameters

NameInTypeRequiredDescription
sandboxIdpathstringYes

Request Body

PropertyTypeRequiredDescription
tenantIdstringNo

Responses

200 Permanently destroy a sandbox (non-revivable)

PropertyTypeDescription
successboolean
messagestring

default An unexpected error response.

PropertyTypeDescription
codeinteger
messagestring
detailsobject[]

Request

curl -X POST "https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/terminate" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"tenantId":"string"}'
const response = await fetch("https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/terminate", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "tenantId": "string"
}),
});
const data = await response.json();
import requests

response = requests.post(
    "https://{instance}.{region}.everstack.ai/v1/sandbox/{sandboxId}/terminate",
    headers={
        "Authorization": "Bearer YOUR_API_KEY",
        "Content-Type": "application/json",
    },
    json={
  "tenantId": "string"
},
)
data = response.json()

Response

{
  "success": true,
  "message": "string"
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}